Update WorkflowTask
Update WorkflowTask.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
workflow_task_id
ID of the WorkflowTask.
Request
This endpoint expects an object.
assigneeId
The ID of the user to assign this task to. Set to null to unassign.
scheduledOn
The date on which the task is scheduled to be executed. Set to null to clear.
schemaFields
Schema field values for the task, keyed by field name.
status
The status to transition this task to. Must be a valid transition in the task schema's status lifecycle. Cannot be updated alongside schemaFields, assigneeId, or scheduledOn.
studyIds
IDs of studies to associate with this task.
Response
OK
__typename
archiveReason
archived
assignee
The assignee of this task
childTasks
All descendants of a root task in a flowchart. This will be empty if this task is not a root task.
clonedFrom
The task that this task was cloned from
createdAt
creator
displayId
User-friendly ID of the workflow task
executionEntry
The entry that this task is executed in. This is only non-null for tasks with an ENTRY execution type.
executionType
The method by which the task of the workflow is executed
id
modifiedAt
name
rootWorkflowTasks
All root tasks of the flowchart(s) that this task is a part of. A task may be associated with more than one root task when branches rooted at different flowchart tasks are pooled together.
scheduledOn
The date on which the task is scheduled to be executed
schema
schemaFields
status
The status of this task
workflowOutputs
The outputs of this task
workflowTaskGroup
The task group that this task is a part of
Errors
400
Workflow Task Update Request Bad Request Error
403
Workflow Task Update Request Forbidden Error
404
Workflow Task Update Request Not Found Error
409
Workflow Task Update Request Conflict Error
429
Workflow Task Update Request Too Many Requests Error
500
Workflow Task Update Request Internal Server Error